gesdinet/infinitescroll-bundle

Infinite Scroll Symfony bundle

Installs: 566

Dependents: 0

Suggesters: 0

Security: 0

Stars: 0

Watchers: 2

Forks: 0

Open Issues: 0

Type:symfony-bundle

v0.1.1 2019-12-22 18:19 UTC

This package is auto-updated.

Last update: 2024-02-23 04:46:06 UTC


README

This bundle helps to implement data source actions for infinite-scroll JavaScript plugin when it's used in remote-type processing mode.

Requirements

PHP needs to be a minimum version of PHP 7.0.

Symfony must be of 2.7 or above.

Installation

Step 1: Download the Bundle

Open a command console, enter your project directory and execute the following command to download the latest stable version of this bundle:

composer require gesdinet/infinitescroll-bundle

This command requires you to have Composer installed globally, as explained in the installation chapter of the Composer documentation.

Step 2: Enable the Bundle

If you are using Symfony 3 or below, enable the bundle by adding it to the list of registered bundles in the app/AppKernel.php file of your project:

public function registerBundles()
{
    $bundles = [
        // ...
        new Gesdinet\InfiniteScrollBundle\GesdinetInfiniteScrollBundle(),
    ];
}

In symfony 4+ this is no longer necessary :)